Bug 74424 - anaconda chooses bogus vertrefresh/horizsync xf86config values on radeon 7500
anaconda chooses bogus vertrefresh/horizsync xf86config values on radeon 7500
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-09-23 22:28 EDT by Vladimir Vukicevic
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-05 22:36:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vladimir Vukicevic 2002-09-23 22:28:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.1) Gecko/20020826

Description of problem:
Running RH null installer on a Dell Inspiron 8100, 1.0GHz p3, 512 BM ram, Radeon
7500 graphics, 1600x1200 on 15" LCD, built-in 10/100 ethernet + modem combo.

When anaconda attempts to start the X server, both the normal and the VESA
server, it fails.  anaconda.log contains:

video card: ATI Radeon Mobility 7500
montor type: IBM-ITUX97
mouse type: Generic - 3 Button Mouse (PS/2)
forcing dpi = 96 for mode 800x600, heightxwidth = 211.66666666667mm by 158.75mm
X startup failed, falling back to text mode

X.log contains:

(++) Using config file: "/tmp/XF86Config.test"
Parse error on line 108 of section Monitor in file /tmp/XF86Config.test
   The HorizSync keyword must be followed bya  list of numbers or ranges.
(EE) Problem parsing the config file

The relevant lines of XF86Config.test are:

107: ModelName "Monitor Model"
108: HorizSync -268377405--268390034
109: VertRefresh -268390034--268370092
110: Option "dpms"
112: DisplaySize 211.66666666667 158.75

So, the HorizSync and VertRefresh fields are clearly bogus.  Why does anaconda
generate these anyway?  If dpms works, it will be able to get the correct values
from the monitor.  Same thing with DisplaySize.  Not e that this is the
xf86config that was generated for the VESA server attempt; I don't know if the
normal one is different, since I can't break anaconda before it tries the other

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Boot disc 1.  Attempt to install.

Additional info:
Comment 1 Miloslav Trmac 2002-09-23 23:05:09 EDT
Duplicate of #70190.
Your monitor doesn't provide the sync ranges and is not in the hwdata database,
and kudzu screws up.

As a workaround, start the install with 'linux skipddc'.
Comment 2 Vladimir Vukicevic 2002-09-24 00:30:05 EDT
Yup, skipddc does the trick, thanks.. the monitor should be fairly
standard/generic on Dell Inspiron laptops though, unless I happen to have gotten
an odd one. :)
Comment 3 Michael Fulbright 2002-09-27 15:42:17 EDT
I believe I fixed this right after the null beta.

Please check when the final release comes out if you have a chance.
Comment 4 Miloslav Trmac 2002-10-05 22:36:07 EDT
It has been 'fixed' in anaconda in the sense that 'DDC probe returned bogus
values' text is found on one of the VC's and monitor is 'undetected'.
The underlying kudzu bug 70190 hasn't been fixed.

Note You need to log in before you can comment on or make changes to this bug.